# InitialState

Defines the Initial State of the Task
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **name** | **str** | Required | The Initial State of the Task |
| **required_fields** | **List[str]** | Optional | Required input Fields for the Initial State |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.workflow.models.InitialState import InitialState

instance = InitialState(
    name="...",  # required — The Initial State of the Task
    required_fields=  # optional — Required input Fields for the Initial State
)
```



[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

